<?php
/**
 * @package   DPCalendar
 * @copyright Copyright (C) 2019 Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
defined('_JEXEC') or die();

$displayData['document']->loadScriptFile('form.js', 'plg_dpcalendarpay_braintree');
$displayData['document']->loadStyleFile('form.css', 'plg_dpcalendarpay_braintree');

$displayData['translator']->translateJS('PLG_DPCALENDARPAY_BRAINTREE_FORM_EMPTY');
$displayData['translator']->translateJS('PLG_DPCALENDARPAY_BRAINTREE_FORM_INVALID');
$displayData['translator']->translateJS('PLG_DPCALENDARPAY_BRAINTREE_FORM_FAIL_ON_DUPLICATE');
$displayData['translator']->translateJS('PLG_DPCALENDARPAY_BRAINTREE_FORM_INVALID_CVC');
$displayData['translator']->translateJS('PLG_DPCALENDARPAY_BRAINTREE_FORM_TOKENIZATION');
$displayData['translator']->translateJS('PLG_DPCALENDARPAY_BRAINTREE_FORM_NETWORK');
$displayData['translator']->translateJS('PLG_DPCALENDARPAY_BRAINTREE_FORM_LIABILITY_NOT_SHIFTED');
?>
<div class="plg-dpcalendarpay-braintree"
	 data-key="<?php echo $displayData['booking']->client_token; ?>"
	 data-amount="<?php echo $displayData['booking']->price; ?>">
	<div class="plg-dpcalendarpay-braintree__loader">
		<?php echo $displayData['layoutHelper']->renderLayout('block.loader', $displayData); ?>
	</div>
	<h3 class="dp-heading"><?php echo $displayData['translator']->translate('PLG_DPCALENDARPAY_BRAINTREE_FORM_HEADER') ?></h3>
	<div class="plg-dpcalendarpay-braintree__message dp-info-box dp-info-box_error"></div>
	<form action="<?php echo $displayData['returnUrl'] ?>" method="post" class="plg-dpcalendarpay_braintree__form dp-form dp-card">
		<div class="dp-card-control">
			<div class="dp-card-control__label">
				<?php echo $displayData['translator']->translate('PLG_DPCALENDARPAY_BRAINTREE_FORM_CARDHOLDER') ?>
			</div>
			<div class="dp-card-control__input">
				<input type="text" class="dp-form-input dp-form-input-text dp-card__holder" value="<?php echo $displayData['booking']->name; ?>">
			</div>
		</div>
		<div class="dp-card-control">
			<div class="dp-card-control__label">
				<?php echo $displayData['translator']->translate('PLG_DPCALENDARPAY_BRAINTREE_FORM_CC') ?>
			</div>
			<div class="dp-card-control__input dp-card-control__input dp-card__number"></div>
		</div>
		<div class="dp-card-control dp-card-control-expiry">
			<label class="dp-card-control__label">
				<?php echo $displayData['translator']->translate('PLG_DPCALENDARPAY_BRAINTREE_FORM_EXPDATE') ?>
			</label>
			<div class="dp-card-control__input dp-card-control__input dp-card__expiry"></div>
		</div>
		<div class="dp-card-control">
			<label class="dp-card-control__label">
				<?php echo $displayData['translator']->translate('PLG_DPCALENDARPAY_BRAINTREE_FORM_CVC') ?>
			</label>
			<div class="dp-card-control__input dp-card-control__input dp-card__cvc"></div>
		</div>
		<div class="plg-dpcalendarpay_braintree__button-bar dp-button-bar">
			<button class="dp-button dp-button-action dp-button-cancel" type="button" data-href="<?php echo $displayData['cancelUrl']; ?>">
				<?php echo $displayData['layoutHelper']->renderLayout('block.icon', ['icon' => \DPCalendar\HTML\Block\Icon::CANCEL]); ?>
				<?php echo $displayData['translator']->translate('PLG_DPCALENDARPAY_BRAINTREE_FORM_ABORT'); ?>
			</button>
			<button class="dp-button dp-button-submit" type="button" disabled>
				<?php echo $displayData['layoutHelper']->renderLayout('block.icon', ['icon' => \DPCalendar\HTML\Block\Icon::OK]); ?>
				<?php echo $displayData['translator']->translate('PLG_DPCALENDARPAY_BRAINTREE_FORM_PAYBUTTON'); ?>
			</button>
		</div>
		<input type="hidden" name="payment_nonce" class="dp-form-input dp-form-input-hidden">
	</form>
</div>
