/**
 * @package   DPCalendar
 * @copyright Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
(function () {
	'use strict';
	document.addEventListener('DOMContentLoaded', () => {
		document.querySelector('.plg-dpcalendar-zoom .dp-button-join-browser').addEventListener('click', () => {
			loadDPAssets(['/com_dpcalendar/js/dpcalendar/dpcalendar.js', '/plg_dpcalendar_zoom/js/zoom/zoom.js'], () => {
				loadDPAssets(['https://source.zoom.us/zoom-meeting-2.2.0.min.js'], () => {
					document.head.insertAdjacentHTML('beforeend', '<style>#zmmtg-root{z-index: 1000}</style>');
					ZoomMtg.setZoomJSLib('https://source.zoom.us/2.2.0/lib', '/av');
					ZoomMtg.preLoadWasm();
					ZoomMtg.prepareJssdk();
					const config = Joomla.getOptions('DPCalendar.zoom');
					if (['de-DE', 'es-ES', 'en-US', 'fr-FR', 'jp-JP', 'pt-PT', 'ru-RU', 'zh-CN'].includes(config.language)) {
						ZoomMtg.i18n.load(config.language);
						ZoomMtg.i18n.reload(config.language);
					}
					ZoomMtg.init({
						leaveUrl: config.leaveUrl, isSupportAV: true, success: () => ZoomMtg.join({
							signature: config.signature,
							meetingNumber: config.meetingNumber,
							apiKey: config.apiKey,
							userName: document.querySelector('.plg-dpcalendar-zoom .dp-input-name').value,
							userEmail: document.querySelector('.plg-dpcalendar-zoom .dp-input-email').value,
							passWord: config.passWord,
							error: (error) => console.log(error)
						}), error: (error) => console.log(error)
					});
				});
			});
		});
	});
})();
