/**
 * @package   DPCalendar
 * @copyright Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
(function () {
	'use strict';
	document.addEventListener('DOMContentLoaded', () => {
		document.querySelector('.plg-dpcalendar-jitsi .dp-button-join-browser').addEventListener('click', () => {
			loadDPAssets(['https://meet.jit.si/external_api.js'], () => {
				const config = Joomla.getOptions('DPCalendar.jitsi');
				const videoElement = document.querySelector('.plg-dpcalendar-jitsi__meeting');
				const api = new JitsiMeetExternalAPI(config.domain, {
					roomName: config.room,
					width: '100%',
					height: 520,
					userInfo: {
						email: document.querySelector('.plg-dpcalendar-jitsi .dp-input-email').value,
						displayName: document.querySelector('.plg-dpcalendar-jitsi .dp-input-name').value
					},
					parentNode: videoElement,
					interfaceConfigOverwrite: {
						DEFAULT_BACKGROUND: '#3b98ff',
						SHOW_CHROME_EXTENSION_BANNER: false
					}
				});
				if (config.password) {
					api.addEventListener('participantRoleChanged', (event) => {
						if (event.role === 'moderator') {
							api.executeCommand('password', config.password);
						}
					});
					api.on('passwordRequired', () => api.executeCommand('password', config.password));
				}
				document.querySelector('.plg-dpcalendar-jitsi__buttons').style.display = 'none';
				document.querySelector('.plg-dpcalendar-jitsi__controls').style.display = 'none';
				api.addListener('readyToClose', () => {
					document.querySelector('.plg-dpcalendar-jitsi__buttons').style.display = 'block';
					document.querySelector('.plg-dpcalendar-jitsi__controls').style.display = 'block';
					videoElement.innerHTML = '';
				});
			});
		});
	});
})();
