<?php
/**
 * @package   DPCalendar
 * @copyright Copyright (C) 2020 Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
defined('_JEXEC') or die();

foreach ($attachments as $index => $attachment) {
	if (!in_array(strtolower(pathinfo($attachment, PATHINFO_EXTENSION)), ['jpg', 'png', 'webp'])) {
		continue;
	}

	$event->images              = new stdClass();
	$event->images->image_intro = $attachment;
	$event->images->image_full  = $attachment;

	unset($attachments[$index]);
}

if (!$attachments) {
	return;
}
?>
<p class="dp-microsoft-attachments">
<p class="dp-microsoft-attachments__title"><strong><?php echo JText::_('PLG_DPCALENDAR_MICROSOFT_ATTACHMENTS'); ?></strong></p>
<?php foreach ($attachments as $attachment) { ?>
	<a class="dp-microsoft-attachment dp-link" href="<?php echo $attachment; ?>" target="_blank">
		<?php echo basename($attachment); ?>
	</a>
<?php } ?>
</p>
