<?php
/**
 * @package   DPCalendar
 * @copyright Copyright (C) 2020 Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
defined('_JEXEC') or die();

$document->loadScriptFile('join.js', 'plg_dpcalendar_jitsi');
$document->loadStyleFile('join.css', 'plg_dpcalendar_jitsi');

$document->addScriptOptions(
	'jitsi',
	[
		'room'     => $params->get('jitsi_room'),
		'password' => $params->get('jitsi_password'),
		'domain'   => $calendar->params->get('domain', 'meet.jit.si')
	]
);
?>
<div class="plg-dpcalendar-jitsi">
	<div class="plg-dpcalendar-jitsi__buttons dp-button-bar">
		<button type="button" class="dp-button dp-button-join-browser">
			<?php echo $translator->translate('PLG_DPCALENDAR_JITSI_TEXT_JOIN_MEETING_IN_BROWSER'); ?>
		</button>
	</div>
	<div class="plg-dpcalendar-jitsi__controls">
		<div class="dp-control">
			<div class="dp-control__label">
				<?php echo $translator->translate('PLG_DPCALENDAR_JITSI_TEXT_JOIN_MEETING_CONTROL_NAME'); ?>
			</div>
			<div class="dp-control__input">
				<input type="text" class="dp-input dp-input-text dp-form-input dp-input-name" value="<?php echo $user->name; ?>">
			</div>
		</div>
		<div class="dp-control">
			<div class="dp-control__label">
				<?php echo $translator->translate('PLG_DPCALENDAR_JITSI_TEXT_JOIN_MEETING_CONTROL_EMAIL'); ?>
			</div>
			<div class="dp-control__input">
				<input type="text" class="dp-input dp-input-text dp-form-input dp-input-email" value="<?php echo $user->email; ?>">
			</div>
		</div>
	</div>
	<div class="plg-dpcalendar-jitsi__meeting"></div>
</div>
