<?php
/**
 * @package   DPCalendar
 * @copyright Copyright (C) 2020 Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

defined('_JEXEC') or die();

$document->loadScriptFile('dpcalendar/join.js', 'plg_dpcalendar_zoom');
$document->loadStyleFile('join.css', 'plg_dpcalendar_zoom');

$document->addScriptOptions('zoom', [
	'signature'     => $signature,
	'meetingNumber' => $meetingId,
	'apiKey'        => $calendar->params->get('api_key'),
	'leaveUrl'      => $leaveUrl,
	'passWord'      => $params->get('zoom_meeting_password', ''),
	'role'          => $event->created_by == $user->id ? 1 : 0,
	'language'      => $user->getParam('language', $app->getLanguage()->getTag())
]);
?>
<div class="plg-dpcalendar-zoom">
	<div class="plg-dpcalendar-zoom__buttons dp-button-bar">
		<button type="button" class="dp-button dp-button-join-browser">
			<?php echo $translator->translate('PLG_DPCALENDAR_ZOOM_TEXT_JOIN_MEETING_IN_BROWSER'); ?>
		</button>
		<button type="button" class="dp-button dp-button-action dp-button-join-app" data-target="new"
				data-href="https://zoom.us/j/<?php echo $meetingId; ?>?pwd=<?php echo $params->get('zoom_meeting_password_hashed'); ?>">
			<?php echo $translator->translate('PLG_DPCALENDAR_ZOOM_TEXT_JOIN_MEETING_IN_APP'); ?>
		</button>
	</div>
	<div class="plg-dpcalendar-zoom__controls">
		<div class="dp-control">
			<div class="dp-control__label">
				<?php echo $translator->translate('PLG_DPCALENDAR_ZOOM_TEXT_JOIN_MEETING_CONTROL_NAME'); ?>
			</div>
			<div class="dp-control__input">
				<input type="text" class="dp-input dp-input-text dp-form-input dp-input-name" value="<?php echo $user->name; ?>">
			</div>
		</div>
		<div class="dp-control">
			<div class="dp-control__label">
				<?php echo $translator->translate('PLG_DPCALENDAR_ZOOM_TEXT_JOIN_MEETING_CONTROL_EMAIL'); ?>
			</div>
			<div class="dp-control__input">
				<input type="text" class="dp-input dp-input-text dp-form-input dp-input-email" value="<?php echo $user->email; ?>">
			</div>
		</div>
	</div>
	<div id="zmmtg-root"></div>
</div>
